Index: README
===================================================================
--- README	(revision 8e602e5d50ee49484ae1033ca6b7d6d0af85dfc6)
+++ README	(revision a8782e83488306c997cdbab942f3fb530608e9d8)
@@ -30,9 +30,9 @@
    wget http://cp3.irmp.ucl.ac.be/downloads/z_ee.hep.gz
    gunzip z_ee.hep.gz
-   ./DelphesSTDHEP examples/delphes_card_CMS.tcl delphes_output.root z_ee.hep
+   ./DelphesSTDHEP cards/delphes_card_CMS.tcl delphes_output.root z_ee.hep
 
 or
 
-   curl -s http://cp3.irmp.ucl.ac.be/downloads/z_ee.hep.gz | gunzip | ./DelphesSTDHEP examples/delphes_card_CMS.tcl delphes_output.root
+   curl -s http://cp3.irmp.ucl.ac.be/downloads/z_ee.hep.gz | gunzip | ./DelphesSTDHEP cards/delphes_card_CMS.tcl delphes_output.root
 
 For more detailed documentation, please visit 
Index: README.md
===================================================================
--- README.md	(revision 8e602e5d50ee49484ae1033ca6b7d6d0af85dfc6)
+++ README.md	(revision a8782e83488306c997cdbab942f3fb530608e9d8)
@@ -39,5 +39,5 @@
 wget http://cp3.irmp.ucl.ac.be/downloads/z_ee.hep.gz
 gunzip z_ee.hep.gz
-./DelphesSTDHEP examples/delphes_card_CMS.tcl delphes_output.root z_ee.hep
+./DelphesSTDHEP cards/delphes_card_CMS.tcl delphes_output.root z_ee.hep
 ```
 
@@ -45,5 +45,5 @@
 
 ```
-curl -s http://cp3.irmp.ucl.ac.be/downloads/z_ee.hep.gz | gunzip | ./DelphesSTDHEP examples/delphes_card_CMS.tcl delphes_output.root
+curl -s http://cp3.irmp.ucl.ac.be/downloads/z_ee.hep.gz | gunzip | ./DelphesSTDHEP cards/delphes_card_CMS.tcl delphes_output.root
 ```
 
Index: README_4LHCb
===================================================================
--- README_4LHCb	(revision 8e602e5d50ee49484ae1033ca6b7d6d0af85dfc6)
+++ README_4LHCb	(revision a8782e83488306c997cdbab942f3fb530608e9d8)
@@ -53,5 +53,5 @@
   wget http://cp3.irmp.ucl.ac.be/downloads/pp2bb.hep.tgz
   tar -xzvf pp2bb.hep.tgz
-  ./DelphesSTDHEP examples/delphes_card_prelLHCb.tcl delphes_output.root pp2bb.hep
+  ./DelphesSTDHEP cards/delphes_card_prelLHCb.tcl delphes_output.root pp2bb.hep
 
 
Index: examples/DelphesBrowser.C
===================================================================
--- examples/DelphesBrowser.C	(revision 8e602e5d50ee49484ae1033ca6b7d6d0af85dfc6)
+++ examples/DelphesBrowser.C	(revision a8782e83488306c997cdbab942f3fb530608e9d8)
@@ -18,5 +18,5 @@
   TObjArray *partonOutputArray = modularDelphes->ExportArray("partons");
 
-  confReader->ReadFile("examples/delphes_card_CMS.tcl");
+  confReader->ReadFile("cards/delphes_card_CMS.tcl");
 
   modularDelphes->SetConfReader(confReader);
Index: examples/ExternalFastJetBasic.cpp
===================================================================
--- examples/ExternalFastJetBasic.cpp	(revision 8e602e5d50ee49484ae1033ca6b7d6d0af85dfc6)
+++ examples/ExternalFastJetBasic.cpp	(revision a8782e83488306c997cdbab942f3fb530608e9d8)
@@ -17,4 +17,29 @@
  */
 
+/*
+
+First, you need to set DELPHES_DIR, FASTJET_DIR and ROOT_DIR:
+
+DELPHES_DIR=<path to Delphes installation>
+FASTJET_DIR=<path to FastJet installation>
+ROOT_DIR=<path to ROOT installation>
+
+Then run the following commands to build ExternalFastJetBasic:
+
+DELPHES_LIB="-L$DELPHES_DIR -lDelphesNoFastJet"
+
+FASTJET_INC=`$FASTJET_DIR/bin/fastjet-config --cxxflags`
+FASTJET_LIB=`$FASTJET_DIR/bin/fastjet-config --libs`
+
+ROOT_INC=`$ROOT_DIR/bin/root-config --incdir`
+ROOT_LIB=`$ROOT_DIR/bin/root-config --libs`
+
+CXXFLAGS="$FASTJET_INC -I$ROOT_INC -I$DELPHES_DIR -I$DELPHES_DIR/external"
+LDFLAGS="$FASTJET_LIB $ROOT_LIB $DELPHES_LIB"
+
+g++ $CXXFLAGS $LDFLAGS ExternalFastJetBasic.cpp -o ExternalFastJetBasic
+
+*/
+
 #include <stdexcept>
 #include <iostream>
Index: examples/ExternalFastJetHepMC.cpp
===================================================================
--- examples/ExternalFastJetHepMC.cpp	(revision 8e602e5d50ee49484ae1033ca6b7d6d0af85dfc6)
+++ examples/ExternalFastJetHepMC.cpp	(revision a8782e83488306c997cdbab942f3fb530608e9d8)
@@ -17,4 +17,29 @@
  */
 
+/*
+
+First, you need to set DELPHES_DIR, FASTJET_DIR and ROOT_DIR:
+
+DELPHES_DIR=<path to Delphes installation>
+FASTJET_DIR=<path to FastJet installation>
+ROOT_DIR=<path to ROOT installation>
+
+Then run the following commands to build ExternalFastJetHepMC:
+
+DELPHES_LIB="-L$DELPHES_DIR -lDelphesNoFastJet"
+
+FASTJET_INC=`$FASTJET_DIR/bin/fastjet-config --cxxflags`
+FASTJET_LIB=`$FASTJET_DIR/bin/fastjet-config --libs`
+
+ROOT_INC=`$ROOT_DIR/bin/root-config --incdir`
+ROOT_LIB=`$ROOT_DIR/bin/root-config --libs`
+
+CXXFLAGS="$FASTJET_INC -I$ROOT_INC -I$DELPHES_DIR -I$DELPHES_DIR/external"
+LDFLAGS="$FASTJET_LIB $ROOT_LIB $DELPHES_LIB"
+
+g++ $CXXFLAGS $LDFLAGS ExternalFastJetHepMC.cpp -o ExternalFastJetHepMC
+
+*/
+
 #include <stdexcept>
 #include <iostream>
Index: modules/Hector.cc
===================================================================
--- modules/Hector.cc	(revision 8e602e5d50ee49484ae1033ca6b7d6d0af85dfc6)
+++ modules/Hector.cc	(revision a8782e83488306c997cdbab942f3fb530608e9d8)
@@ -90,5 +90,5 @@
 
   fBeamLine = new H_BeamLine(fDirection, fBeamLineLength + 0.1);
-  fBeamLine->fill(GetString("BeamLineFile", "examples/LHCB1IR5_5TeV.tfs"), fDirection, GetString("IPName", "IP5"));
+  fBeamLine->fill(GetString("BeamLineFile", "cards/LHCB1IR5_5TeV.tfs"), fDirection, GetString("IPName", "IP5"));
   fBeamLine->offsetElements(fOffsetS, fOffsetX);
   fBeamLine->calcMatrix();
